petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetRefineLevel

Get's the number of refinements that have generated this DM.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMGetRefineLevel(DM dm,PetscInt *level)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameter

level -number of refinements

### See Also

DMCoarsen(), DMGetCoarsenLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html